std::experimental::simd_size(3)

NAME
std::experimental::simd_size - std::experimental::simd_size

Synopsis
   Defined in header <experimental/simd>
   template< class T, class Abi = simd_abi::compatible<T> > (parallelism TS v2)
   struct simd_size;
   If T is a vectorizable type and is_abi_tag_v<Abi> is true, provides the member
   constant value equal to the width (number of elements) of simd<T, Abi>, irrespective
   of whether simd<T, Abi> is supported or not. For any other types T and Abi, there is
   no member value.
   If the program adds specializations for std::simd_size
   or std::simd_size_v
   (since C++17), the behavior is undefined.

Member constants
   value the width of simd<T, Abi>
   [static] (public static member constant)

Member functions
   operator std::size_t converts the object to std::size_t, returns value
                        (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type std::size_t
   type std::integral_constant<std::size_t, value>

Example
    This section is incomplete
    Reason: no example

See also
   size returns the width / number of elements
   [static] (parallelism TS (public static member function of
   v2) std::experimental::simd<T,Abi>)
   size returns the width / number of elements
   [static] (parallelism TS (public static member function of
   v2) std::experimental::simd_mask<T,Abi>)

Category:
     * Todo no example